Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installing Apache Open Office
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
mreff555
Apprentice
Apprentice


Joined: 10 Mar 2011
Posts: 169
Location: Philadelphia

PostPosted: Fri Oct 25, 2013 9:44 pm    Post subject: Installing Apache Open Office Reply with quote

I am trying to install AOO and I'm having trouble finding relevant information
I found this on the AOO website, http://wiki.openoffice.org/wiki/Gentoo_build_instructions,
which recommends that I try to use portage for all the dependencies but compile and install myself.
I'm hoping this shouldn't cause future complications because the dependencies are all from portage.

Anyway, I've had to modify the config script a bit, to get as far as I have, but I am stuck here

Code:

checking for LIBWPD... no
configure: error: Package requirements (libwpd-0.8 ) were not met:

No package 'libwpd-0.8' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBWPD_CFLAGS
and LIBWPD_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

I installed libwpd-0.9.9 with portage. so I imagine it's in the default path. however I'm not very good at working with PKG_CONFIG
Does anyone have any idea how to get past this?


Here is my current config flags:
Code:

./configure \
 --with-jdk-home=$(java-config -O) \
 --with-system-libs \
 --with-system-headers \
 --with-system-jars \
 --with-hsqldb-jar=$(java-config-2 -p hsqldb|tr ":" "\n"|grep hsqldb.jar) \
 --with-lucene-core-jar=$(java-config-2 -p lucene-3.5|tr ":" "\n"|grep lucene-core.jar) \
 --with-lucene-analyzers-jar=$(java-config-2 -p lucene-analyzers-2.3) \
 --with-saxon-jar=$(java-config-2 -p saxon-9) \
  --with-beanshell-jar=$(java-config-2 -p bsh) \
 --without-system-agg \
 --without-system-lpsolve \
 --without-system-mspack \
 --without-system-graphite \
 --without-system-altlinuxhyph \
 --disable-mozilla \
 --disable-binfilter \
 --with-epm-url=http://www.msweet.org/files/project2/epm-4.2-source.tar.gz \
 --with-mingwin=/usr/bin/i686-pc-mingw32-g++


here is the files installed in libwpd
Code:

dan@mojo ~/Downloads/aoo-4.0.1/main $ equery f libwpd
 * Searching for libwpd ...
 * Contents of app-text/libwpd-0.9.9:
/usr
/usr/bin
/usr/bin/wpd2html-0.9
/usr/bin/wpd2raw-0.9
/usr/bin/wpd2text-0.9
/usr/include
/usr/include/libwpd-0.9
/usr/include/libwpd-0.9/libwpd
/usr/include/libwpd-0.9/libwpd-stream
/usr/include/libwpd-0.9/libwpd-stream/WPXStream.h
/usr/include/libwpd-0.9/libwpd-stream/WPXStreamImplementation.h
/usr/include/libwpd-0.9/libwpd-stream/libwpd-stream.h
/usr/include/libwpd-0.9/libwpd/WPDocument.h
/usr/include/libwpd-0.9/libwpd/WPXBinaryData.h
/usr/include/libwpd-0.9/libwpd/WPXDocumentInterface.h
/usr/include/libwpd-0.9/libwpd/WPXProperty.h
/usr/include/libwpd-0.9/libwpd/WPXPropertyList.h
/usr/include/libwpd-0.9/libwpd/WPXPropertyListVector.h
/usr/include/libwpd-0.9/libwpd/WPXString.h
/usr/include/libwpd-0.9/libwpd/libwpd.h
/usr/lib64
/usr/lib64/libwpd-0.9.so -> libwpd-0.9.so.9.0.9
/usr/lib64/libwpd-0.9.so.9 -> libwpd-0.9.so.9.0.9
/usr/lib64/libwpd-0.9.so.9.0.9
/usr/lib64/libwpd-stream-0.9.so -> libwpd-stream-0.9.so.9.0.9
/usr/lib64/libwpd-stream-0.9.so.9 -> libwpd-stream-0.9.so.9.0.9
/usr/lib64/libwpd-stream-0.9.so.9.0.9
/usr/lib64/pkgconfig
/usr/lib64/pkgconfig/libwpd-0.9.pc
/usr/lib64/pkgconfig/libwpd-stream-0.9.pc
/usr/share
/usr/share/doc
/usr/share/doc/libwpd-0.9.9
/usr/share/doc/libwpd-0.9.9/CREDITS.bz2
/usr/share/doc/libwpd-0.9.9/ChangeLog.bz2
/usr/share/doc/libwpd-0.9.9/NEWS.bz2
/usr/share/doc/libwpd-0.9.9/README.bz2
/usr/share/doc/libwpd-0.9.9/TODO.bz2

Back to top
View user's profile Send private message
aim nano
Tux's lil' helper
Tux's lil' helper


Joined: 20 Jan 2006
Posts: 115
Location: Jackson, MS

PostPosted: Sat Oct 26, 2013 4:48 am    Post subject: Reply with quote

looks like the most recent version is already available in portage (binary?)

http://packages.gentoo.org/package/app-office/openoffice-bin
_________________
Unanswered posts need love too.
--
~ # emerge -pv gentoo-love
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum